Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SharedReceiver< T > Class Template Reference

The class implements a receiver. More...

`#include <SharedReceiver.h>`

Inheritance diagram for SharedReceiver< T >:

[legend]
Collaboration diagram for SharedReceiver< T >:

[legend]
List of all members.

## Public Member Functions
| SharedReceiver (PlatformProcess *process, const char *receiverName, bool blocking)
| The constructor.
T & | getShared ()
| The function returns a reference to the shared object.
const T & | getShared () const
| The function returns a constant reference to the shared object.
## Protected Member Functions
virtual void | handleMessage (ONotifyMessage &msg)
| The function is called when a new package arrived.
## Protected Attributes
T * | data

## Detailed Description

### template<class T>
class SharedReceiver< T >

The class implements a receiver.

A receiver is an object that reads packages from an Aperios queue.

Definition at line 16 of file SharedReceiver.h.

## Constructor & Destructor Documentation

template<class T>
SharedReceiver< T >::SharedReceiver | ( | PlatformProcess * | process,
|  | const char * | receiverName,
|  | bool | blocking
| ) | `[inline]`

  | The constructor. Parameters:
  process | The process this receiver is associated with.
  receiverName | The Aperios connection name of the receiver without the process name.
  blocking | Decides whether this receiver blocks the execution of the next frame until it has received a package.
Definition at line 42 of file SharedReceiver.h. References SharedReceiver< T >::data.

## Member Function Documentation

template<class T>
virtual void SharedReceiver< T >::handleMessage | ( | ONotifyMessage & | msg | ) | `[inline, protected, virtual]`

  | The function is called when a new package arrived. Parameters:
  msg | An Open-R message that contains the package.
Reimplemented from Receiver< T >. Definition at line 25 of file SharedReceiver.h. References SharedReceiver< T >::data, and ReceiverList::setEventId().

Here is the call graph for this function:

template<class T>
T& SharedReceiver< T >::getShared | ( |  | ) | `[inline]`

| The function returns a reference to the shared object. Returns: A reference to the shared object. Definition at line 52 of file SharedReceiver.h. References SharedReceiver< T >::data.

template<class T>
const T& SharedReceiver< T >::getShared | ( |  | ) | const`[inline]`

| The function returns a constant reference to the shared object. Returns: A constant reference to the shared object. Definition at line 58 of file SharedReceiver.h. References SharedReceiver< T >::data.

## Member Data Documentation

template<class T>
T* SharedReceiver< T >::data`[protected]`

| Definition at line 19 of file SharedReceiver.h. Referenced by SharedReceiver< T >::getShared(), SharedReceiver< T >::handleMessage(), and SharedReceiver< T >::SharedReceiver().

The documentation for this class was generated from the following file:

- Platform/Aperios1.3.2/SharedReceiver.h